Debian Bug report logs - #612911
cifs-utils maybe broken on squeeze linux-2.6 2.6.32-30

version graph

Package: linux-image-2.6.32-5-openvz-amd64; Maintainer for linux-image-2.6.32-5-openvz-amd64 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Stanislav Klinkov <klinkov@yandex.ru>

Date: Fri, 11 Feb 2011 14:15:02 UTC

Severity: important

Found in version linux-2.6/2.6.32-30

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#612911; Package linux-2.6. (Fri, 11 Feb 2011 14:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stanislav Klinkov <klinkov@yandex.ru>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 11 Feb 2011 14:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stanislav Klinkov <klinkov@yandex.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-openvz-amd64: Deprecated CIFS module
Date: Fri, 11 Feb 2011 16:44:56 +0300
Package: linux-2.6
Version: 2.6.32-30
Severity: important

The package "linux-image-2.6.32-5-openvz-amd64" is shipped with a deprecated version
of the CIFS module ("cifs.ko"). So, userspace utilities such as "mount.cifs"
become incompatible with old version of cifs.ko and refuse to work.

For example, one can mount nothing via CIFS. Rolling back the packages
"cifs-utils", "samba-common", "smbfs', etc down to Lenny or Lenny-backports
bundles resolves the issue as a temporary workaround.

-- Package-specific info:
** Version:
Linux version 2.6.32-5-openvz-amd64 (Debian 2.6.32-30) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Wed Jan 12 04:22:50 UTC 2011

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.32-5-openvz-amd64 root=/dev/mapper/pve-root ro elevator=noop elevator=noop

** Not tainted

** Kernel log:
[    0.731462] NET: Registered protocol family 10
[    0.733485] Mobile IPv6
[    0.734773] NET: Registered protocol family 17
[    0.736174] PM: Resume from disk failed.
[    0.736183] registered taskstats version 1
[    0.737687] rtc_cmos rtc_cmos: setting system clock to 2011-02-11 12:45:25 UTC (1297428325)
[    0.739748] Initalizing network drop monitor service
[    0.740962] Freeing unused kernel memory: 592k freed
[    0.743100] Write protecting the kernel read-only data: 4144k
[    1.321118] usbcore: registered new interface driver usbfs
[    1.323699] usbcore: registered new interface driver hub
[    1.331019]   alloc irq_desc for 19 on node -1
[    1.331048]   alloc kstat_irqs on node -1
[    1.331116] virtio-pci 0000:00:03.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[    1.335636] usbcore: registered new device driver usb
[    1.362972] SCSI subsystem initialized
[    1.369334] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.396113] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    1.397485]   alloc irq_desc for 22 on node -1
[    1.397485]   alloc kstat_irqs on node -1
[    1.397485] ohci_hcd 0000:00:06.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[    1.398628] ohci_hcd 0000:00:06.0: OHCI Host Controller
[    1.400015] ohci_hcd 0000:00:06.0: new USB bus registered, assigned bus number 1
[    1.404766] libata version 3.00 loaded.
[    1.409576] ohci_hcd 0000:00:06.0: irq 22, io mem 0xf0404000
[    1.431952] usb usb1: New USB device found, idVendor=1d6b, idProduct=0001
[    1.432033] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.434672] usb usb1: Product: OHCI Host Controller
[    1.435951] usb usb1: Manufacturer: Linux 2.6.32-5-openvz-amd64 ohci_hcd
[    1.437321] usb usb1: SerialNumber: 0000:00:06.0
[    1.439427] usb usb1: configuration #1 chosen from 1 choice
[    1.440853] hub 1-0:1.0: USB hub found
[    1.442013] hub 1-0:1.0: 8 ports detected
[    1.443442] ahci 0000:00:0d.0: version 3.0
[    1.443529]   alloc irq_desc for 21 on node -1
[    1.443532]   alloc kstat_irqs on node -1
[    1.443570] ahci 0000:00:0d.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21
[    1.445364] ahci: SSS flag set, parallel bus scan disabled
[    1.448318] ahci 0000:00:0d.0: AHCI 0001.0100 32 slots 1 ports 3 Gbps 0x1 impl SATA mode
[    1.450361] ahci 0000:00:0d.0: flags: 64bit ncq stag only ccc 
[    1.469660] scsi0 : ahci
[    1.471251] ata1: SATA max UDMA/133 abar m8192@0xf0406000 port 0xf0406100 irq 21
[    1.792845] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    1.794291] ata1.00: ATA-6: VBOX HARDDISK, 1.0, max UDMA/133
[    1.795521] ata1.00: 20971520 sectors, multi 128: LBA48 NCQ (depth 31/32)
[    1.797646] ata1.00: configured for UDMA/133
[    1.799123] scsi 0:0:0:0: Direct-Access     ATA      VBOX HARDDISK    1.0  PQ: 0 ANSI: 5
[    1.815209] sd 0:0:0:0: [sda] 20971520 512-byte logical blocks: (10.7 GB/10.0 GiB)
[    1.818080] sd 0:0:0:0: [sda] Write Protect is off
[    1.819340] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    1.819362] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.821937]  sda: sda1 sda2
[    1.824076] sd 0:0:0:0: [sda] Attached SCSI disk
[    1.848631] usb 1-1: new full speed USB device using ohci_hcd and address 2
[    2.006911] device-mapper: uevent: version 1.0.3
[    2.009189] device-mapper: ioctl: 4.15.0-ioctl (2009-04-01) initialised: dm-devel@redhat.com
[    2.124311] usb 1-1: New USB device found, idVendor=80ee, idProduct=0021
[    2.125707] usb 1-1: New USB device strings: Mfr=1, Product=3, SerialNumber=0
[    2.127150] usb 1-1: Product: USB Tablet
[    2.128157] usb 1-1: Manufacturer: VirtualBox
[    2.140214] usb 1-1: configuration #1 chosen from 1 choice
[    2.204639] usbcore: registered new interface driver hiddev
[    2.222702] input: VirtualBox USB Tablet as /devices/pci0000:00/0000:00:06.0/usb1/1-1/1-1:1.0/input/input2
[    2.224822] generic-usb 0003:80EE:0021.0001: input,hidraw0: USB HID v1.10 Mouse [VirtualBox USB Tablet] on usb-0000:00:06.0-1/input0
[    2.227787] usbcore: registered new interface driver usbhid
[    2.229763] usbhid: v2.6:USB HID core driver
[    2.337002] kjournald starting.  Commit interval 5 seconds
[    2.338350] EXT3-fs: mounted filesystem with ordered data mode.
[    2.881904] udev[210]: starting version 164
[    3.363784] input: PC Speaker as /devices/platform/pcspkr/input/input3
[    3.449661] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4
[    3.451867] ACPI: Power Button [PWRF]
[    3.482383] piix4_smbus 0000:00:07.0: SMBus base address uninitialized - upgrade BIOS or use force_addr=0xaddr
[    3.572389] input: Sleep Button as /devices/LNXSYSTM:00/LNXSLPBN:00/input/input5
[    3.574497] ACPI: Sleep Button [SLPF]
[    3.575894] processor LNXCPU:00: registered as cooling_device0
[    3.598862] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input6
[    3.675877] ACPI: AC Adapter [AC] (on-line)
[    3.908720] parport_pc 00:04: reported by Plug and Play ACPI
[    4.663318] EXT3 FS on dm-0, internal journal
[    5.113253] RPC: Registered udp transport module.
[    5.114743] RPC: Registered tcp transport module.
[    5.115928] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    5.227364] Slow work thread pool: Starting up
[    5.241082] Slow work thread pool: Ready
[    5.243341] FS-Cache: Loaded
[    5.361733] FS-Cache: Netfs 'nfs' registered for caching
[    6.372846] Adding 1310712k swap on /dev/mapper/pve-swap.  Priority:-1 extents:1 across:1310712k 
[    6.562513] kjournald starting.  Commit interval 5 seconds
[    6.564919] EXT3 FS on dm-2, internal journal
[    6.566314] EXT3-fs: mounted filesystem with ordered data mode.
[    6.568832] kjournald starting.  Commit interval 5 seconds
[    6.570162] EXT3 FS on sda1, internal journal
[    6.571550] EXT3-fs: mounted filesystem with ordered data mode.
[    7.627126] Bridge firewalling registered
[    7.739697] device eth0 entered promiscuous mode
[    7.781377] vmbr0: port 1(eth0) entering forwarding state
[   17.824333] ip_tables: (C) 2000-2006 Netfilter Core Team
[   18.016469] vmbr0: no IPv6 routers present
[   18.516033] eth0: no IPv6 routers present

** Model information
sys_vendor: innotek GmbH
product_name: VirtualBox
product_version: 1.2
bios_vendor: innotek GmbH
bios_version: VirtualBox

** Loaded modules:
Module                  Size  Used by
vzethdev                7301  0 
vznetdev               17967  0 
simfs                   3087  0 
vzrst                 110318  0 
vzcpt                  97042  0 
vzdquota               35158  0 [permanent]
vzmon                  16317  4 vzethdev,vznetdev,vzrst,vzcpt
vzdev                   1824  4 vzethdev,vznetdev,vzdquota,vzmon
xt_tcpudp               2319  0 
xt_length               1164  0 
xt_hl                   1313  0 
xt_tcpmss               1401  0 
xt_TCPMSS               2935  0 
iptable_mangle          2881  0 
iptable_filter          2322  0 
xt_multiport            2267  0 
xt_limit                1782  0 
xt_dscp                 1805  0 
ipt_REJECT              1953  0 
ip_tables              14107  2 iptable_mangle,iptable_filter
x_tables               13213  10 xt_tcpudp,xt_length,xt_hl,xt_tcpmss,xt_TCPMSS,xt_multiport,xt_limit,xt_dscp,ipt_REJECT,ip_tables
bridge                 40774  0 
stp                     1440  1 bridge
nfs                   244058  0 
lockd                  58772  1 nfs
fscache                29850  1 nfs
nfs_acl                 2031  1 nfs
auth_rpcgss            33476  1 nfs
sunrpc                164669  5 nfs,lockd,nfs_acl,auth_rpcgss
parport_pc             18855  0 
parport                27954  1 parport_pc
ac                      2192  0 
joydev                  8475  0 
i2c_piix4               8328  0 
psmouse                49777  0 
button                  4682  0 
evdev                   7368  0 
processor              29999  0 
pcspkr                  1699  0 
serio_raw               3768  0 
i2c_core               15712  1 i2c_piix4
ext3                  106470  3 
jbd                    37053  1 ext3
mbcache                 5050  1 ext3
usbhid                 33308  0 
hid                    63273  1 usbhid
dm_mod                 53786  9 
sd_mod                 29857  3 
crc_t10dif              1276  1 sd_mod
ahci                   32374  2 
ohci_hcd               19228  0 
libata                133568  1 ahci
thermal                11754  0 
virtio_net             10513  0 
ehci_hcd               31167  0 
thermal_sys            11942  2 processor,thermal
scsi_mod              122181  2 sd_mod,libata
virtio_pci              5535  0 
virtio_ring             3210  1 virtio_pci
virtio                  3309  2 virtio_net,virtio_pci
usbcore               122194  4 usbhid,ohci_hcd,ehci_hcd
nls_base                6377  1 usbcore

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 440FX - 82441FX PMC [Natoma] [8086:1237] (rev 02)
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:01.0 ISA bridge [0601]: Intel Corporation 82371SB PIIX3 ISA [Natoma/Triton II] [8086:7000]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:02.0 VGA compatible controller [0300]: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at e0000000 (32-bit, prefetchable) [size=16M]
	Expansion ROM at <unassigned> [disabled]

00:03.0 Ethernet controller [0200]: Red Hat, Inc Virtio network device [1af4:1000]
	Subsystem: Red Hat, Inc Device [1af4:0001]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 19
	Region 0: I/O ports at d000 [size=32]
	Capabilities: [80] #00 [0000]
	Kernel driver in use: virtio-pci

00:04.0 System peripheral [0880]: InnoTek Systemberatung GmbH VirtualBox Guest Service [80ee:cafe]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 9
	Region 0: I/O ports at d020 [size=32]
	Region 1: Memory at f0000000 (32-bit, non-prefetchable) [size=4M]
	Region 2: Memory at f0400000 (32-bit, prefetchable) [size=16K]

00:06.0 USB Controller [0c03]: Apple Computer Inc. KeyLargo/Intrepid USB [106b:003f] (prog-if 10 [OHCI])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at f0404000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:07.0 Bridge [0680]: Intel Corporation 82371AB/EB/MB PIIX4 ACPI [8086:7113] (rev 08)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 9

00:0d.0 SATA controller [0106]: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller [8086:2829] (rev 02) (prog-if 01 [AHCI 1.0])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin A routed to IRQ 21
	Region 0: I/O ports at d040 [size=8]
	Region 1: I/O ports at <ignored>
	Region 2: I/O ports at d050 [size=8]
	Region 3: I/O ports at <ignored>
	Region 4: I/O ports at d060 [size=16]
	Region 5: Memory at f0406000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: [70] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: ahci


** Sound cards:

-- System Information:
Debian Release: 6.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-openvz-amd64 (SMP w/1 CPU core)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.32-5-openvz-amd64 depends on:
ii  debconf [debconf-2.0]       1.5.36.1     Debian configuration management sy
ii  initramfs-tools [linux-init 0.98.8       tools for generating an initramfs
ii  linux-base                  2.6.32-31    Linux image base package
ii  module-init-tools           3.12-1       tools for managing Linux kernel mo
hi  vzctl                       3.0.24-1pve4 OpenVZ - server virtualization sol

Versions of packages linux-image-2.6.32-5-openvz-amd64 recommends:
pn  firmware-linux-free           <none>     (no description available)

Versions of packages linux-image-2.6.32-5-openvz-amd64 suggests:
ii  grub                          0.97-64    GRand Unified Bootloader (dummy pa
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-openvz-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information excluded





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#612911; Package linux-2.6. (Fri, 11 Feb 2011 15:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 11 Feb 2011 15:36:06 GMT) Full text and rfc822 format available.

Message #10 received at 612911@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Stanislav Klinkov <klinkov@yandex.ru>, 612911@bugs.debian.org
Subject: Re: Bug#612911: linux-image-2.6.32-5-openvz-amd64: Deprecated CIFS module
Date: Fri, 11 Feb 2011 15:33:08 +0000
reassign cifs-utils
retitle cifs-utils maybe broken on 2.6.32-30
stop

On Fri, Feb 11, 2011 at 04:44:56PM +0300, Stanislav Klinkov wrote:
> Package: linux-2.6
> Version: 2.6.32-30
> Severity: important
> 
> The package "linux-image-2.6.32-5-openvz-amd64" is shipped with a deprecated version
> of the CIFS module ("cifs.ko"). So, userspace utilities such as "mount.cifs"
> become incompatible with old version of cifs.ko and refuse to work.
> 
> For example, one can mount nothing via CIFS. Rolling back the packages
> "cifs-utils", "samba-common", "smbfs', etc down to Lenny or Lenny-backports
> bundles resolves the issue as a temporary workaround.

reassigning for you, the userspace is maybe at fault, the linux image
is setting the rules. please provide command output for what doesn't work
with squeeze cifs-utils? (and eventual strace)
 
> -- Package-specific info:
> ** Version:
> Linux version 2.6.32-5-openvz-amd64 (Debian 2.6.32-30) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Wed Jan 12 04:22:50 UTC 2011
> 
> ** Command line:
> BOOT_IMAGE=/vmlinuz-2.6.32-5-openvz-amd64 root=/dev/mapper/pve-root ro elevator=noop elevator=noop
> 
> ** Not tainted
> 
> ** Kernel log:
> [    0.731462] NET: Registered protocol family 10
> [    0.733485] Mobile IPv6
> [    0.734773] NET: Registered protocol family 17
> [    0.736174] PM: Resume from disk failed.
> [    0.736183] registered taskstats version 1
> [    0.737687] rtc_cmos rtc_cmos: setting system clock to 2011-02-11 12:45:25 UTC (1297428325)
> [    0.739748] Initalizing network drop monitor service
> [    0.740962] Freeing unused kernel memory: 592k freed
> [    0.743100] Write protecting the kernel read-only data: 4144k
> [    1.321118] usbcore: registered new interface driver usbfs
> [    1.323699] usbcore: registered new interface driver hub
> [    1.331019]   alloc irq_desc for 19 on node -1
> [    1.331048]   alloc kstat_irqs on node -1
> [    1.331116] virtio-pci 0000:00:03.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
> [    1.335636] usbcore: registered new device driver usb
> [    1.362972] SCSI subsystem initialized
> [    1.369334] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
> [    1.396113] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
> [    1.397485]   alloc irq_desc for 22 on node -1
> [    1.397485]   alloc kstat_irqs on node -1
> [    1.397485] ohci_hcd 0000:00:06.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
> [    1.398628] ohci_hcd 0000:00:06.0: OHCI Host Controller
> [    1.400015] ohci_hcd 0000:00:06.0: new USB bus registered, assigned bus number 1
> [    1.404766] libata version 3.00 loaded.
> [    1.409576] ohci_hcd 0000:00:06.0: irq 22, io mem 0xf0404000
> [    1.431952] usb usb1: New USB device found, idVendor=1d6b, idProduct=0001
> [    1.432033] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
> [    1.434672] usb usb1: Product: OHCI Host Controller
> [    1.435951] usb usb1: Manufacturer: Linux 2.6.32-5-openvz-amd64 ohci_hcd
> [    1.437321] usb usb1: SerialNumber: 0000:00:06.0
> [    1.439427] usb usb1: configuration #1 chosen from 1 choice
> [    1.440853] hub 1-0:1.0: USB hub found
> [    1.442013] hub 1-0:1.0: 8 ports detected
> [    1.443442] ahci 0000:00:0d.0: version 3.0
> [    1.443529]   alloc irq_desc for 21 on node -1
> [    1.443532]   alloc kstat_irqs on node -1
> [    1.443570] ahci 0000:00:0d.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21
> [    1.445364] ahci: SSS flag set, parallel bus scan disabled
> [    1.448318] ahci 0000:00:0d.0: AHCI 0001.0100 32 slots 1 ports 3 Gbps 0x1 impl SATA mode
> [    1.450361] ahci 0000:00:0d.0: flags: 64bit ncq stag only ccc 
> [    1.469660] scsi0 : ahci
> [    1.471251] ata1: SATA max UDMA/133 abar m8192@0xf0406000 port 0xf0406100 irq 21
> [    1.792845] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
> [    1.794291] ata1.00: ATA-6: VBOX HARDDISK, 1.0, max UDMA/133
> [    1.795521] ata1.00: 20971520 sectors, multi 128: LBA48 NCQ (depth 31/32)
> [    1.797646] ata1.00: configured for UDMA/133
> [    1.799123] scsi 0:0:0:0: Direct-Access     ATA      VBOX HARDDISK    1.0  PQ: 0 ANSI: 5
> [    1.815209] sd 0:0:0:0: [sda] 20971520 512-byte logical blocks: (10.7 GB/10.0 GiB)
> [    1.818080] sd 0:0:0:0: [sda] Write Protect is off
> [    1.819340] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
> [    1.819362] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
> [    1.821937]  sda: sda1 sda2
> [    1.824076] sd 0:0:0:0: [sda] Attached SCSI disk
> [    1.848631] usb 1-1: new full speed USB device using ohci_hcd and address 2
> [    2.006911] device-mapper: uevent: version 1.0.3
> [    2.009189] device-mapper: ioctl: 4.15.0-ioctl (2009-04-01) initialised: dm-devel@redhat.com
> [    2.124311] usb 1-1: New USB device found, idVendor=80ee, idProduct=0021
> [    2.125707] usb 1-1: New USB device strings: Mfr=1, Product=3, SerialNumber=0
> [    2.127150] usb 1-1: Product: USB Tablet
> [    2.128157] usb 1-1: Manufacturer: VirtualBox
> [    2.140214] usb 1-1: configuration #1 chosen from 1 choice
> [    2.204639] usbcore: registered new interface driver hiddev
> [    2.222702] input: VirtualBox USB Tablet as /devices/pci0000:00/0000:00:06.0/usb1/1-1/1-1:1.0/input/input2
> [    2.224822] generic-usb 0003:80EE:0021.0001: input,hidraw0: USB HID v1.10 Mouse [VirtualBox USB Tablet] on usb-0000:00:06.0-1/input0
> [    2.227787] usbcore: registered new interface driver usbhid
> [    2.229763] usbhid: v2.6:USB HID core driver
> [    2.337002] kjournald starting.  Commit interval 5 seconds
> [    2.338350] EXT3-fs: mounted filesystem with ordered data mode.
> [    2.881904] udev[210]: starting version 164
> [    3.363784] input: PC Speaker as /devices/platform/pcspkr/input/input3
> [    3.449661] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4
> [    3.451867] ACPI: Power Button [PWRF]
> [    3.482383] piix4_smbus 0000:00:07.0: SMBus base address uninitialized - upgrade BIOS or use force_addr=0xaddr
> [    3.572389] input: Sleep Button as /devices/LNXSYSTM:00/LNXSLPBN:00/input/input5
> [    3.574497] ACPI: Sleep Button [SLPF]
> [    3.575894] processor LNXCPU:00: registered as cooling_device0
> [    3.598862] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input6
> [    3.675877] ACPI: AC Adapter [AC] (on-line)
> [    3.908720] parport_pc 00:04: reported by Plug and Play ACPI
> [    4.663318] EXT3 FS on dm-0, internal journal
> [    5.113253] RPC: Registered udp transport module.
> [    5.114743] RPC: Registered tcp transport module.
> [    5.115928] RPC: Registered tcp NFSv4.1 backchannel transport module.
> [    5.227364] Slow work thread pool: Starting up
> [    5.241082] Slow work thread pool: Ready
> [    5.243341] FS-Cache: Loaded
> [    5.361733] FS-Cache: Netfs 'nfs' registered for caching
> [    6.372846] Adding 1310712k swap on /dev/mapper/pve-swap.  Priority:-1 extents:1 across:1310712k 
> [    6.562513] kjournald starting.  Commit interval 5 seconds
> [    6.564919] EXT3 FS on dm-2, internal journal
> [    6.566314] EXT3-fs: mounted filesystem with ordered data mode.
> [    6.568832] kjournald starting.  Commit interval 5 seconds
> [    6.570162] EXT3 FS on sda1, internal journal
> [    6.571550] EXT3-fs: mounted filesystem with ordered data mode.
> [    7.627126] Bridge firewalling registered
> [    7.739697] device eth0 entered promiscuous mode
> [    7.781377] vmbr0: port 1(eth0) entering forwarding state
> [   17.824333] ip_tables: (C) 2000-2006 Netfilter Core Team
> [   18.016469] vmbr0: no IPv6 routers present
> [   18.516033] eth0: no IPv6 routers present
> 
> ** Model information
> sys_vendor: innotek GmbH
> product_name: VirtualBox
> product_version: 1.2
> bios_vendor: innotek GmbH
> bios_version: VirtualBox
> 
> ** Loaded modules:
> Module                  Size  Used by
> vzethdev                7301  0 
> vznetdev               17967  0 
> simfs                   3087  0 
> vzrst                 110318  0 
> vzcpt                  97042  0 
> vzdquota               35158  0 [permanent]
> vzmon                  16317  4 vzethdev,vznetdev,vzrst,vzcpt
> vzdev                   1824  4 vzethdev,vznetdev,vzdquota,vzmon
> xt_tcpudp               2319  0 
> xt_length               1164  0 
> xt_hl                   1313  0 
> xt_tcpmss               1401  0 
> xt_TCPMSS               2935  0 
> iptable_mangle          2881  0 
> iptable_filter          2322  0 
> xt_multiport            2267  0 
> xt_limit                1782  0 
> xt_dscp                 1805  0 
> ipt_REJECT              1953  0 
> ip_tables              14107  2 iptable_mangle,iptable_filter
> x_tables               13213  10 xt_tcpudp,xt_length,xt_hl,xt_tcpmss,xt_TCPMSS,xt_multiport,xt_limit,xt_dscp,ipt_REJECT,ip_tables
> bridge                 40774  0 
> stp                     1440  1 bridge
> nfs                   244058  0 
> lockd                  58772  1 nfs
> fscache                29850  1 nfs
> nfs_acl                 2031  1 nfs
> auth_rpcgss            33476  1 nfs
> sunrpc                164669  5 nfs,lockd,nfs_acl,auth_rpcgss
> parport_pc             18855  0 
> parport                27954  1 parport_pc
> ac                      2192  0 
> joydev                  8475  0 
> i2c_piix4               8328  0 
> psmouse                49777  0 
> button                  4682  0 
> evdev                   7368  0 
> processor              29999  0 
> pcspkr                  1699  0 
> serio_raw               3768  0 
> i2c_core               15712  1 i2c_piix4
> ext3                  106470  3 
> jbd                    37053  1 ext3
> mbcache                 5050  1 ext3
> usbhid                 33308  0 
> hid                    63273  1 usbhid
> dm_mod                 53786  9 
> sd_mod                 29857  3 
> crc_t10dif              1276  1 sd_mod
> ahci                   32374  2 
> ohci_hcd               19228  0 
> libata                133568  1 ahci
> thermal                11754  0 
> virtio_net             10513  0 
> ehci_hcd               31167  0 
> thermal_sys            11942  2 processor,thermal
> scsi_mod              122181  2 sd_mod,libata
> virtio_pci              5535  0 
> virtio_ring             3210  1 virtio_pci
> virtio                  3309  2 virtio_net,virtio_pci
> usbcore               122194  4 usbhid,ohci_hcd,ehci_hcd
> nls_base                6377  1 usbcore
> 
> ** PCI devices:
> 00:00.0 Host bridge [0600]: Intel Corporation 440FX - 82441FX PMC [Natoma] [8086:1237] (rev 02)
> 	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 
> 00:01.0 ISA bridge [0601]: Intel Corporation 82371SB PIIX3 ISA [Natoma/Triton II] [8086:7000]
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0
> 
> 00:02.0 VGA compatible controller [0300]: InnoTek Systemberatung GmbH VirtualBox Graphics Adapter [80ee:beef] (prog-if 00 [VGA controller])
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0
> 	Interrupt: pin A routed to IRQ 11
> 	Region 0: Memory at e0000000 (32-bit, prefetchable) [size=16M]
> 	Expansion ROM at <unassigned> [disabled]
> 
> 00:03.0 Ethernet controller [0200]: Red Hat, Inc Virtio network device [1af4:1000]
> 	Subsystem: Red Hat, Inc Device [1af4:0001]
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0
> 	Interrupt: pin A routed to IRQ 19
> 	Region 0: I/O ports at d000 [size=32]
> 	Capabilities: [80] #00 [0000]
> 	Kernel driver in use: virtio-pci
> 
> 00:04.0 System peripheral [0880]: InnoTek Systemberatung GmbH VirtualBox Guest Service [80ee:cafe]
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0
> 	Interrupt: pin A routed to IRQ 9
> 	Region 0: I/O ports at d020 [size=32]
> 	Region 1: Memory at f0000000 (32-bit, non-prefetchable) [size=4M]
> 	Region 2: Memory at f0400000 (32-bit, prefetchable) [size=16K]
> 
> 00:06.0 USB Controller [0c03]: Apple Computer Inc. KeyLargo/Intrepid USB [106b:003f] (prog-if 10 [OHCI])
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 64
> 	Interrupt: pin A routed to IRQ 22
> 	Region 0: Memory at f0404000 (32-bit, non-prefetchable) [size=4K]
> 	Kernel driver in use: ohci_hcd
> 
> 00:07.0 Bridge [0680]: Intel Corporation 82371AB/EB/MB PIIX4 ACPI [8086:7113] (rev 08)
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0
> 	Interrupt: pin A routed to IRQ 9
> 
> 00:0d.0 SATA controller [0106]: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller [8086:2829] (rev 02) (prog-if 01 [AHCI 1.0])
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 64
> 	Interrupt: pin A routed to IRQ 21
> 	Region 0: I/O ports at d040 [size=8]
> 	Region 1: I/O ports at <ignored>
> 	Region 2: I/O ports at d050 [size=8]
> 	Region 3: I/O ports at <ignored>
> 	Region 4: I/O ports at d060 [size=16]
> 	Region 5: Memory at f0406000 (32-bit, non-prefetchable) [size=8K]
> 	Capabilities: [70] Power Management version 3
> 		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
> 		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
> 	Kernel driver in use: ahci
> 
> 
> ** Sound cards:
> 
> -- System Information:
> Debian Release: 6.0
>   APT prefers stable
>   APT policy: (500, 'stable')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.32-5-openvz-amd64 (SMP w/1 CPU core)
> Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
> 
> Versions of packages linux-image-2.6.32-5-openvz-amd64 depends on:
> ii  debconf [debconf-2.0]       1.5.36.1     Debian configuration management sy
> ii  initramfs-tools [linux-init 0.98.8       tools for generating an initramfs
> ii  linux-base                  2.6.32-31    Linux image base package
> ii  module-init-tools           3.12-1       tools for managing Linux kernel mo
> hi  vzctl                       3.0.24-1pve4 OpenVZ - server virtualization sol
> 
> Versions of packages linux-image-2.6.32-5-openvz-amd64 recommends:
> pn  firmware-linux-free           <none>     (no description available)
> 
> Versions of packages linux-image-2.6.32-5-openvz-amd64 suggests:
> ii  grub                          0.97-64    GRand Unified Bootloader (dummy pa
> pn  linux-doc-2.6.32              <none>     (no description available)
> 
> Versions of packages linux-image-2.6.32-5-openvz-amd64 is related to:
> pn  firmware-bnx2                 <none>     (no description available)
> pn  firmware-bnx2x                <none>     (no description available)
> pn  firmware-ipw2x00              <none>     (no description available)
> pn  firmware-ivtv                 <none>     (no description available)
> pn  firmware-iwlwifi              <none>     (no description available)
> pn  firmware-linux                <none>     (no description available)
> pn  firmware-linux-nonfree        <none>     (no description available)
> pn  firmware-qlogic               <none>     (no description available)
> pn  firmware-ralink               <none>     (no description available)
> pn  xen-hypervisor                <none>     (no description available)
> 
> -- debconf information excluded
> 
> 
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20110211134456.1765.80895.reportbug@vmmox.sprint-service.ru
> 




Bug reassigned from package 'linux-2.6' to 'cifs-utils'. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Fri, 11 Feb 2011 15:42:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.32-30. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Fri, 11 Feb 2011 15:42:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'cifs-utils maybe broken on squeeze linux-2.6 2.6.32-30' from 'linux-image-2.6.32-5-openvz-amd64: Deprecated CIFS module' Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Fri, 11 Feb 2011 15:42:09 GMT) Full text and rfc822 format available.

Added tag(s) unreproducible and moreinfo. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Fri, 11 Feb 2011 17:15:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#612911; Package cifs-utils. (Fri, 11 Feb 2011 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Станислав <klinkov@yandex.ru>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Fri, 11 Feb 2011 18:45:03 GMT) Full text and rfc822 format available.

Message #23 received at 612911@bugs.debian.org (full text, mbox):

From: Станислав <klinkov@yandex.ru>
To: maximilian attems <max@stro.at>
Cc: 612911@bugs.debian.org
Subject: Re: Bug#612911: linux-image-2.6.32-5-openvz-amd64: Deprecated CIFS module
Date: Fri, 11 Feb 2011 21:30:12 +0300
> reassigning for you, the userspace is maybe at fault, the linux image
> is setting the rules. please provide command output for what doesn't work
> with squeeze cifs-utils? (and eventual strace)

No! The userspace works fine! The vanilla 2.6.32-5 kernel package works fine with Squeeze "cifs-utils" too. The problem is in the very PACKAGE "linux-image-2.6.32-5-openvz-amd64", NOT in KERNEL itself. And the problem is hidden in the very OpenVZ modification of the kernel. The vanilla package is shipped with the right "cifs.ko" module, and the OpenVZ modification of the same package is shipped with the deprecated version of this module. What is unclear?

For details see here: http://lists.debian.org/debian-kernel/2011/02/msg00114.html

To reproduce, please boot into OpenVZ modificated kernel and try to mount any CIFS resource.

Output and strace will provide some later if necessary.




Removed tag(s) unreproducible and moreinfo. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Fri, 11 Feb 2011 19:21:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'cifs-utils' to 'linux-image-2.6.32-5-openvz-amd64'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Fri, 11 Feb 2011 19:21:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.32-30. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Fri, 11 Feb 2011 19:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#612911; Package linux-image-2.6.32-5-openvz-amd64. (Fri, 11 Feb 2011 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 11 Feb 2011 22:24:03 GMT) Full text and rfc822 format available.

Message #34 received at 612911@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Станислав <klinkov@yandex.ru>
Cc: 612911@bugs.debian.org
Subject: Re: Bug#612911: linux-image-2.6.32-5-openvz-amd64: Deprecated CIFS module
Date: Fri, 11 Feb 2011 22:21:18 +0000
On Fri, Feb 11, 2011 at 09:30:12PM +0300, Станислав wrote:
> > reassigning for you, the userspace is maybe at fault, the linux image
> > is setting the rules. please provide command output for what doesn't work
> > with squeeze cifs-utils? (and eventual strace)
> 
> No! The userspace works fine! The vanilla 2.6.32-5 kernel package works fine
> with Squeeze "cifs-utils" too. The problem is in the very PACKAGE
> "linux-image-2.6.32-5-openvz-amd64", NOT in KERNEL itself. And the problem is
> hidden in the very OpenVZ modification of the kernel. The vanilla package is
> shipped with the right "cifs.ko" module, and the OpenVZ modification of the
> same package is shipped with the deprecated version of this module. What is
> unclear?

dude that is not the way to producively file bugs, post the error you
are seeing at least, thank you.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#612911; Package linux-image-2.6.32-5-openvz-amd64. (Sun, 13 Feb 2011 12:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stanislav <klinkov@yandex.ru>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 13 Feb 2011 12:15:09 GMT) Full text and rfc822 format available.

Message #39 received at 612911@bugs.debian.org (full text, mbox):

From: Stanislav <klinkov@yandex.ru>
To: maximilian attems <max@stro.at>
Cc: 612911@bugs.debian.org
Subject: Re: Bug#612911: linux-image-2.6.32-5-openvz-amd64: Deprecated CIFS module
Date: Sun, 13 Feb 2011 15:04:39 +0300
12.02.2011 01:21, maximilian attems wrote:
> dude that is not the way to producively file bugs, post the error you
> are seeing at least, thank you.

I don't understand you, my respected associate.
I have beleived that you had reproduced and approved my report:

10.02.2011 20:36, maximilian attems wrote:
> yes please use reportbug if possible, it tells the maintainer already
> some relevant info. Apparently drbd-tools have the same mistake.
> wonder how that is possible with such a long freeze.

And now you pretend being uninformed we're talking about.
OK, if you insist, I provide details.

***********************************************************

-= Situation 1. =-
Installing package "linux-image-2.6.32-5-amd64" and booting
into 2.6.32-5 vanilla kernel (Everything is OK).

vmmox:~# cat /etc/issue
Debian GNU/Linux 6.0 \n \l

vmmox:~# uname -r
2.6.32-5-amd64

vmmox:~# stat /lib/modules/2.6.32-5-amd64/kernel/fs/cifs/cifs.ko
  File: `/lib/modules/2.6.32-5-amd64/kernel/fs/cifs/cifs.ko'
  Size: 427672          Blocks: 848        IO Block: 4096   regular file
Device: fe00h/65024d    Inode: 122923      Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2011-02-13 14:55:59.000000000 +0300
Modify: 2011-01-12 08:54:12.000000000 +0300
Change: 2011-02-13 14:55:57.000000000 +0300

vmmox:~# md5sum /lib/modules/2.6.32-5-amd64/kernel/fs/cifs/cifs.ko
860eb9a71136d35105764c5d0fde9d2f
/lib/modules/2.6.32-5-amd64/kernel/fs/cifs/cifs.ko

vmmox:~# mount.cifs //192.168.22.61/shared /mnt/smb -o user=user,pass=123
vmmox:~# echo $?
0

vmmox:~# umount /mnt/smb
vmmox:~# echo $?
0

vmmox:~# strace mount.cifs //192.168.22.61/shared /mnt/smb -o
user=user,pass=123
execve("/sbin/mount.cifs", ["mount.cifs", "//192.168.22.61/shared",
"/mnt/smb", "-o", "user=user,pass=123"], [/* 16 vars */]) = 0
brk(0)                                  = 0x1b5f000
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or
directory)
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0)
= 0x7ffd0870e000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or
directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=23085, ...}) = 0
mmap(NULL, 23085, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7ffd08708000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or
directory)
open("/lib/libcap.so.2", O_RDONLY)      = 3
read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\260\24\0\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=16640, ...}) = 0
mmap(NULL, 2111936, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x7ffd082ef000
mprotect(0x7ffd082f3000, 2093056, PROT_NONE) = 0
mmap(0x7ffd084f2000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3000) = 0x7ffd084f2000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or
directory)
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\355\1\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1432968, ...}) = 0
mmap(NULL, 3541032, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x7ffd07f8e000
mprotect(0x7ffd080e6000, 2093056, PROT_NONE) = 0
mmap(0x7ffd082e5000, 20480, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x157000) = 0x7ffd082e5000
mmap(0x7ffd082ea000, 18472, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7ffd082ea000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or
directory)
open("/lib/libattr.so.1", O_RDONLY)     = 3
read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p\24\0\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=17608, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0)
= 0x7ffd08707000
mmap(NULL, 2112752, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x7ffd07d8a000
mprotect(0x7ffd07d8e000, 2093056, PROT_NONE) = 0
mmap(0x7ffd07f8d000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3000) = 0x7ffd07f8d000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0)
= 0x7ffd08706000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0)
= 0x7ffd08705000
arch_prctl(ARCH_SET_FS, 0x7ffd08706700) = 0
mprotect(0x7ffd082e5000, 16384, PROT_READ) = 0
mprotect(0x7ffd08710000, 4096, PROT_READ) = 0
munmap(0x7ffd08708000, 23085)           = 0
geteuid()                               = 0
brk(0)                                  = 0x1b5f000
brk(0x1b80000)                          = 0x1b80000
capget(0x20080522, 0, NULL)             = -1 EFAULT (Bad address)
capget(0x20080522, 0,
{CAP_CHOWN|CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_FOWNER|CAP_FSETID|CAP_KILL|CAP_SETGID|CAP_SETUID|CAP_SETPCAP|CAP_LINUX_IMMUTABLE|CAP_NET_BIND_SERVICE|CAP_NET_BROADCAST|CAP_NET_ADMIN|CAP_NET_RAW|CAP_IPC_LOCK|CAP_IPC_OWNER|CAP_SYS_MODULE|CAP_SYS_RAWIO|CAP_SYS_CHROOT|CAP_SYS_PTRACE|CAP_SYS_PACCT|CAP_SYS_ADMIN|CAP_SYS_BOOT|CAP_SYS_NICE|CAP_SYS_RESOURCE|CAP_SYS_TIME|CAP_SYS_TTY_CONFIG|CAP_MKNOD|CAP_LEASE|CAP_AUDIT_WRITE|CAP_AUDIT_CONTROL|CAP_SETFCAP,
CAP_CHOWN|CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_FOWNER|CAP_FSETID|CAP_KILL|CAP_SETGID|CAP_SETUID|CAP_SETPCAP|CAP_LINUX_IMMUTABLE|CAP_NET_BIND_SERVICE|CAP_NET_BROADCAST|CAP_NET_ADMIN|CAP_NET_RAW|CAP_IPC_LOCK|CAP_IPC_OWNER|CAP_SYS_MODULE|CAP_SYS_RAWIO|CAP_SYS_CHROOT|CAP_SYS_PTRACE|CAP_SYS_PACCT|CAP_SYS_ADMIN|CAP_SYS_BOOT|CAP_SYS_NICE|CAP_SYS_RESOURCE|CAP_SYS_TIME|CAP_SYS_TTY_CONFIG|CAP_MKNOD|CAP_LEASE|CAP_AUDIT_WRITE|CAP_AUDIT_CONTROL|CAP_SETFCAP,
0}) = 0
capset(0x20080522, 0, {CAP_SYS_ADMIN,
CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN, 0}) = 0
mmap(NULL, 10464, PROT_READ|PROT_WRITE, MAP_SHARED|MAP_ANONYMOUS, -1, 0)
= 0x7ffd0870b000
getuid()                                = 0
capget(0x20080522, 0, NULL)             = -1 EFAULT (Bad address)
capget(0x20080522, 0, {CAP_SYS_ADMIN,
CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN, 0}) = 0
capset(0x20080522, 0, {CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN,
CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN, 0}) = 0
chdir("/mnt/smb")                       = 0
getcwd("/mnt/smb", 4096)                = 9
getuid()                                = 0
capget(0x20080522, 0, NULL)             = -1 EFAULT (Bad address)
capget(0x20080522, 0, {CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN,
CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN, 0}) = 0
capset(0x20080522, 0, {CAP_SYS_ADMIN,
CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN, 0}) = 0
clone(child_stack=0,
flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x7ffd087069d0) = 1127
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0, NULL) = 1127
--- SIGCHLD (Child exited) @ 0 (0) ---
mount("//192.168.22.61/shared/", ".", "cifs", MS_MANDLOCK,
"ip=192.168.22.61,unc=\\\\192.168.2"...) = 0
getuid()                                = 0
geteuid()                               = 0
setreuid(0, 4294967295)                 = 0
rt_sigprocmask(SIG_SETMASK, ~[RTMIN RT_1], [], 8) = 0
getuid()                                = 0
capget(0x20080522, 0, NULL)             = -1 EFAULT (Bad address)
capget(0x20080522, 0, {CAP_SYS_ADMIN,
CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN, 0}) = 0
capset(0x20080522, 0, {CAP_DAC_OVERRIDE|CAP_SYS_ADMIN,
CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN, 0}) = 0
rt_sigaction(SIGHUP, {0x405260, ~[RTMIN RT_1], SA_RESTORER,
0x7ffd07fc01e0}, NULL, 8) = 0
rt_sigaction(SIGINT, {0x405260, ~[RTMIN RT_1], SA_RESTORER,
0x7ffd07fc01e0}, NULL, 8) = 0
rt_sigaction(SIGQUIT, {0x405260, ~[RTMIN RT_1], SA_RESTORER,
0x7ffd07fc01e0}, NULL, 8) = 0
rt_sigaction(SIGILL, {0x405260, ~[RTMIN RT_1], SA_RESTORER,
0x7ffd07fc01e0}, NULL, 8) = 0
rt_sigaction(SIGTRAP, {0x405260, ~[RTMIN RT_1], SA_RESTORER,
0x7ffd07fc01e0}, NULL, 8) = 0
rt_sigaction(SIGABRT, {0x405260, ~[RTMIN RT_1], SA_RESTORER,
0x7ffd07fc01e0}, NULL, 8) = 0
rt_sigaction(SIGBUS, {0x405260, ~[RTMIN RT_1], SA_RESTORER,
0x7ffd07fc01e0}, NULL, 8) = 0
rt_sigaction(SIGFPE, {0x405260, ~[RTMIN RT_1], SA_RESTORER,
0x7ffd07fc01e0}, NULL, 8) = 0
rt_sigaction(SIGKILL, {0x405260, ~[RTMIN RT_1], SA_RESTORER,
0x7ffd07fc01e0}, NULL, 8) = -1 EINVAL (Invalid argument)
rt_sigaction(SIGUSR1, {0x405260, ~[RTMIN RT_1], SA_RESTORER,
0x7ffd07fc01e0}, NULL, 8) = 0
rt_sigaction(SIGSEGV, {0x405260, ~[RTMIN RT_1], SA_RESTORER,
0x7ffd07fc01e0}, NULL, 8) = 0
rt_sigaction(SIGUSR2, {0x405260, ~[RTMIN RT_1], SA_RESTORER,
0x7ffd07fc01e0}, NULL, 8) = 0
rt_sigaction(SIGPIPE, {0x405260, ~[RTMIN RT_1], SA_RESTORER,
0x7ffd07fc01e0}, NULL, 8) = 0
rt_sigaction(SIGALRM, {0x404f50, ~[RTMIN RT_1], SA_RESTORER,
0x7ffd07fc01e0}, NULL, 8) = 0
rt_sigaction(SIGTERM, {0x405260, ~[RTMIN RT_1], SA_RESTORER,
0x7ffd07fc01e0}, NULL, 8) = 0
rt_sigaction(SIGSTKFLT, {0x405260, ~[RTMIN RT_1], SA_RESTORER,
0x7ffd07fc01e0}, NULL, 8) = 0
getpid()                                = 1126
open("/etc/mtab~1126", O_WRONLY|O_CREAT, 0600) = 3
close(3)                                = 0
link("/etc/mtab~1126", "/etc/mtab~")    = 0
open("/etc/mtab~", O_WRONLY)            = 3
fcntl(3, F_SETLK, {type=F_WRLCK, whence=SEEK_SET, start=0, len=0}) = 0
unlink("/etc/mtab~1126")                = 0
open("/etc/mtab", O_RDWR|O_CREAT|O_APPEND, 0666) = 4
fstat(4, {st_mode=S_IFREG|0644, st_size=395, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0)
= 0x7ffd0870a000
fstat(4, {st_mode=S_IFREG|0644, st_size=395, ...}) = 0
lseek(4, 0, SEEK_SET)                   = 0
read(4, "/dev/mapper/pve-root / ext3 rw,e"..., 395) = 395
write(4, "//192.168.22.61/shared/ /mnt/smb"..., 50) = 50
close(4)                                = 0
munmap(0x7ffd0870a000, 4096)            = 0
close(3)                                = 0
unlink("/etc/mtab~")                    = 0
getuid()                                = 0
capget(0x20080522, 0, NULL)             = -1 EFAULT (Bad address)
capget(0x20080522, 0, {CAP_DAC_OVERRIDE|CAP_SYS_ADMIN,
CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN, 0}) = 0
capset(0x20080522, 0, {CAP_SYS_ADMIN,
CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN, 0}) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
munmap(0x7ffd0870b000, 10464)           = 0
exit_group(0)                           = ?


******************************************************************

-= Situation 2. =-
Installing package "linux-image-2.6.32-5-openvz-amd64" and booting
into 2.6.32-5-openvz kernel. (mount.cifs returns error)

vmmox:~# cat /etc/issue
Debian GNU/Linux 6.0 \n \l

vmmox:~# uname -r
2.6.32-5-openvz-amd64

vmmox:~# stat /lib/modules/2.6.32-5-openvz-amd64/kernel/fs/cifs/cifs.ko
  File: `/lib/modules/2.6.32-5-openvz-amd64/kernel/fs/cifs/cifs.ko'
  Size: 429464          Blocks: 848        IO Block: 4096   regular file
Device: fe00h/65024d    Inode: 95145       Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2011-02-11 15:43:55.000000000 +0300
Modify: 2011-01-12 09:02:03.000000000 +0300
Change: 2011-02-11 15:43:54.000000000 +0300

vmmox:~# md5sum /lib/modules/2.6.32-5-openvz-amd64/kernel/fs/cifs/cifs.ko
d9bbaef12d6d63b09094818688901870
/lib/modules/2.6.32-5-openvz-amd64/kernel/fs/cifs/cifs.ko

vmmox:~# mount.cifs //192.168.22.61/shared /mnt/smb -o user=user,pass=123
mount error(1): Operation not permitted
Refer to the mount.cifs(8) manual page (e.g. man mount.cifs)

vmmox:~# strace mount.cifs //192.168.22.61/shared /mnt/smb -o
user=user,pass=123
execve("/sbin/mount.cifs", ["mount.cifs", "//192.168.22.61/shared",
"/mnt/smb", "-o", "user=user,pass=123"], [/* 16 vars */]) = 0
brk(0)                                  = 0xe93000
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or
directory)
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0)
= 0x7f615d634000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or
directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=23085, ...}) = 0
mmap(NULL, 23085, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f615d62e000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or
directory)
open("/lib/libcap.so.2", O_RDONLY)      = 3
read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\260\24\0\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=16640, ...}) = 0
mmap(NULL, 2111936, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x7f615d215000
mprotect(0x7f615d219000, 2093056, PROT_NONE) = 0
mmap(0x7f615d418000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3000) = 0x7f615d418000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or
directory)
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`\355\1\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1432968, ...}) = 0
mmap(NULL, 3541032, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x7f615ceb4000
mprotect(0x7f615d00c000, 2093056, PROT_NONE) = 0
mmap(0x7f615d20b000, 20480, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x157000) = 0x7f615d20b000
mmap(0x7f615d210000, 18472, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f615d210000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or
directory)
open("/lib/libattr.so.1", O_RDONLY)     = 3
read(3,
"\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p\24\0\0\0\0\0\0"...,
832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=17608, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0)
= 0x7f615d62d000
mmap(NULL, 2112752, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0x7f615ccb0000
mprotect(0x7f615ccb4000, 2093056, PROT_NONE) = 0
mmap(0x7f615ceb3000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3000) = 0x7f615ceb3000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0)
= 0x7f615d62c000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0)
= 0x7f615d62b000
arch_prctl(ARCH_SET_FS, 0x7f615d62c700) = 0
mprotect(0x7f615d20b000, 16384, PROT_READ) = 0
mprotect(0x7f615d636000, 4096, PROT_READ) = 0
munmap(0x7f615d62e000, 23085)           = 0
geteuid()                               = 0
brk(0)                                  = 0xe93000
brk(0xeb4000)                           = 0xeb4000
capget(0x20080522, 0, NULL)             = -1 EFAULT (Bad address)
capget(0x20080522, 0,
{CAP_CHOWN|CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_FOWNER|CAP_FSETID|CAP_KILL|CAP_SETGID|CAP_SETUID|CAP_SETPCAP|CAP_LINUX_IMMUTABLE|CAP_NET_BIND_SERVICE|CAP_NET_BROADCAST|CAP_NET_ADMIN|CAP_NET_RAW|CAP_IPC_LOCK|CAP_IPC_OWNER|CAP_SYS_MODULE|CAP_SYS_RAWIO|CAP_SYS_CHROOT|CAP_SYS_PTRACE|CAP_SYS_PACCT|CAP_SYS_ADMIN|CAP_SYS_BOOT|CAP_SYS_NICE|CAP_SYS_RESOURCE|CAP_SYS_TIME|CAP_SYS_TTY_CONFIG|CAP_MKNOD|CAP_LEASE|CAP_AUDIT_WRITE|CAP_AUDIT_CONTROL|CAP_SETFCAP,
CAP_CHOWN|CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_FOWNER|CAP_FSETID|CAP_KILL|CAP_SETGID|CAP_SETUID|CAP_SETPCAP|CAP_LINUX_IMMUTABLE|CAP_NET_BIND_SERVICE|CAP_NET_BROADCAST|CAP_NET_ADMIN|CAP_NET_RAW|CAP_IPC_LOCK|CAP_IPC_OWNER|CAP_SYS_MODULE|CAP_SYS_RAWIO|CAP_SYS_CHROOT|CAP_SYS_PTRACE|CAP_SYS_PACCT|CAP_SYS_ADMIN|CAP_SYS_BOOT|CAP_SYS_NICE|CAP_SYS_RESOURCE|CAP_SYS_TIME|CAP_SYS_TTY_CONFIG|CAP_MKNOD|CAP_LEASE|CAP_AUDIT_WRITE|CAP_AUDIT_CONTROL|CAP_SETFCAP,
0}) = 0
capset(0x20080522, 0, {CAP_SYS_ADMIN,
CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN, 0}) = 0
mmap(NULL, 10464, PROT_READ|PROT_WRITE, MAP_SHARED|MAP_ANONYMOUS, -1, 0)
= 0x7f615d631000
getuid()                                = 0
capget(0x20080522, 0, NULL)             = -1 EFAULT (Bad address)
capget(0x20080522, 0, {CAP_SYS_ADMIN,
CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN, 0}) = 0
capset(0x20080522, 0, {CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN,
CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN, 0}) = 0
chdir("/mnt/smb")                       = 0
getcwd("/mnt/smb", 4096)                = 9
getuid()                                = 0
capget(0x20080522, 0, NULL)             = -1 EFAULT (Bad address)
capget(0x20080522, 0, {CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN,
CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN, 0}) = 0
capset(0x20080522, 0, {CAP_SYS_ADMIN,
CAP_DAC_OVERRIDE|CAP_DAC_READ_SEARCH|CAP_SYS_ADMIN, 0}) = 0
clone(child_stack=0,
flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0x7f615d62c9d0) = 1396
wait4(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0, NULL) = 1396
--- SIGCHLD (Child exited) @ 0 (0) ---
mount("//192.168.22.61/shared/", ".", "cifs", MS_MANDLOCK,
"ip=192.168.22.61,unc=\\\\192.168.2"...) = -1 EPERM (Operation not
permitted)
write(2, "mount error(1): Operation not pe"..., 40mount error(1):
Operation not permitted
) = 40
write(2, "Refer to the mount.cifs(8) manua"..., 61Refer to the
mount.cifs(8) manual page (e.g. man mount.cifs)
) = 61
munmap(0x7f615d631000, 10464)           = 0
exit_group(32)                          = ?

**********************************************************************




Set Bug forwarded-to-address to 'http://bugzilla.openvz.org/show_bug.cgi?id=1776'. Request was from Ola Lundqvist <opal@debian.org> to control@bugs.debian.org. (Wed, 16 Feb 2011 21:12:06 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 21 Feb 2011 16:39:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#612911; Package linux-image-2.6.32-5-openvz-amd64. (Thu, 26 May 2011 13:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to ion coting <ioncoting@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 26 May 2011 13:03:11 GMT) Full text and rfc822 format available.

Message #48 received at 612911@bugs.debian.org (full text, mbox):

From: ion coting <ioncoting@gmail.com>
To: 612911@bugs.debian.org
Subject: fixed upstream?
Date: Thu, 26 May 2011 16:00:52 +0300
so how long will it take until i can apt-get a squeeze fixed version?
i confirm the same problem
thank you




Unset Bug forwarded-to-address Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 26 May 2011 17:09:07 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 26 May 2011 17:09:08 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Thu, 26 May 2011 17:18:03 GMT) Full text and rfc822 format available.

Notification sent to Stanislav Klinkov <klinkov@yandex.ru>:
Bug acknowledged by developer. (Thu, 26 May 2011 17:18:03 GMT) Full text and rfc822 format available.

Message #57 received at 612911-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 612911-done@bugs.debian.org
Subject: Re: linux-image-2.6.32-5-openvz-amd64: Deprecated CIFS module
Date: Thu, 26 May 2011 10:15:21 -0700
[Message part 1 (text/plain, inline)]
On Fri, 2011-02-11 at 16:44 +0300, Stanislav Klinkov wrote:
> Package: linux-2.6
> Version: 2.6.32-30
> Severity: important
> 
> The package "linux-image-2.6.32-5-openvz-amd64" is shipped with a deprecated version
> of the CIFS module ("cifs.ko"). So, userspace utilities such as "mount.cifs"
> become incompatible with old version of cifs.ko and refuse to work.

It is the same version that is in linux-image-2.6.32-5-amd64, and you
acknowledge that that works.

> For example, one can mount nothing via CIFS. Rolling back the packages
> "cifs-utils", "samba-common", "smbfs', etc down to Lenny or Lenny-backports
> bundles resolves the issue as a temporary workaround.

So they are doing something that doesn't work in OpenVZ.  But the
cifs-utils maintainers don't accept this as a bug, so I'm afraid this is
just not going to be a supported combination.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Jun 2011 07:32:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:25:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.